<?php
if (!defined('DC_RC_PATH')) { return; }

$GLOBALS['__autoload']['baseConversion'] = dirname(__FILE__).'/class.baseConversion.php';
$GLOBALS['__autoload']['dcShortURL'] = dirname(__FILE__).'/class.dc.shortURL.php';

if ($GLOBALS['core']->blog->settings->shortURL->shortURLEnabled) {
	$GLOBALS['core']->url->register('shortURL',$core->blog->settings->shortURL->shortURLPrefix,'^'
		.$GLOBALS['core']->blog->settings->shortURL->shortURLPrefix.'/(.+)$',array('shortURL','postById'));
	$GLOBALS['core']->url->register('shortURLComment',$core->blog->settings->shortURL->shortURLCommentPrefix,'^'
		.$GLOBALS['core']->blog->settings->shortURL->shortURLCommentPrefix.'/(.+)$',array('shortURL','postByCommentId'));

	if ($GLOBALS['core']->blog->settings->shortURL->shortURLBackCompatibility && $GLOBALS['core']->blog->settings->shortURL->shortURLPrefix != 'postid') {
		$GLOBALS['core']->url->register('oldShortURL','postid','^postid/(\d+)$',array('shortURL','postById'));
	}
}
